NXOpen .NET Reference Guide  1872
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.CAE.LaminatePlySectionBuilder Class Reference

Represents a NXOpen.CAE.LaminatePlySection builder More...

Inheritance diagram for NXOpen.CAE.LaminatePlySectionBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe void GetSelectedLaminates (out NXOpen.CAE.Laminate[] laminates)
 The option to get the selected laminates More...
 
unsafe void SetSelectedLaminates (NXOpen.CAE.Laminate[] laminates)
 The option to set the selected laminates More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe double CoreOffsetScale [get, set]
 Returns or sets the core offset scale factor scales the distance between the core ply and the 2 adjacent ply curves More...
 
unsafe int PlyColor [get, set]
 Returns or sets the ply color defines the color of the ply curves More...
 
unsafe double PlyOffsetScale [get, set]
 Returns or sets the ply offset scale factor scales the distance between the ply curves, except the core More...
 
unsafe string SectionName [get, set]
 Returns or sets the name of the ply section More...
 
unsafe NXOpen.Plane SectionPlane [get, set]
 Returns or sets the plane on which to compute the ply section More...
 
unsafe bool SelectAllLaminates [get, set]
 Returns or sets the option to consider all existing laminates More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.CAE.LaminatePlySection builder

To create a new instance of this class, use NXOpen.CAE.LaminateGlobalLayupMgr.CreatePlySectionBuilder

Created in NX1847.0.0

Member Function Documentation

unsafe void NXOpen.CAE.LaminatePlySectionBuilder.GetSelectedLaminates ( out NXOpen.CAE.Laminate[]  laminates)
inline

The option to get the selected laminates

Created in NX1872.0.0

License requirements: nx_lam_composites ("Laminate Composites")

Parameters
laminatesArray of selected laminates
unsafe void NXOpen.CAE.LaminatePlySectionBuilder.SetSelectedLaminates ( NXOpen.CAE.Laminate[]  laminates)
inline

The option to set the selected laminates

Created in NX1872.0.0

License requirements: nx_lam_composites ("Laminate Composites")

Parameters
laminatesArray of laminates to set

Property Documentation

unsafe double NXOpen.CAE.LaminatePlySectionBuilder.CoreOffsetScale
getset

Returns or sets the core offset scale factor scales the distance between the core ply and the 2 adjacent ply curves

Created in NX1847.0.0

License requirements to get this property: nx_lam_comp_adv ("Laminate Composites Advanced")

License requirements to set this property: nx_lam_comp_adv ("Laminate Composites Advanced")

unsafe int NXOpen.CAE.LaminatePlySectionBuilder.PlyColor
getset

Returns or sets the ply color defines the color of the ply curves

Created in NX1847.0.0

License requirements to get this property: nx_lam_comp_adv ("Laminate Composites Advanced")

License requirements to set this property: nx_lam_comp_adv ("Laminate Composites Advanced")

unsafe double NXOpen.CAE.LaminatePlySectionBuilder.PlyOffsetScale
getset

Returns or sets the ply offset scale factor scales the distance between the ply curves, except the core

Created in NX1847.0.0

License requirements to get this property: nx_lam_comp_adv ("Laminate Composites Advanced")

License requirements to set this property: nx_lam_comp_adv ("Laminate Composites Advanced")

unsafe string NXOpen.CAE.LaminatePlySectionBuilder.SectionName
getset

Returns or sets the name of the ply section

Created in NX1847.0.0

License requirements to get this property: nx_lam_comp_adv ("Laminate Composites Advanced")

License requirements to set this property: nx_lam_comp_adv ("Laminate Composites Advanced")

unsafe NXOpen.Plane NXOpen.CAE.LaminatePlySectionBuilder.SectionPlane
getset

Returns or sets the plane on which to compute the ply section

Created in NX1847.0.0

License requirements to get this property: nx_lam_comp_adv ("Laminate Composites Advanced")

License requirements to set this property: nx_lam_comp_adv ("Laminate Composites Advanced")

unsafe bool NXOpen.CAE.LaminatePlySectionBuilder.SelectAllLaminates
getset

Returns or sets the option to consider all existing laminates

Created in NX1847.0.0

License requirements to get this property: nx_lam_comp_adv ("Laminate Composites Advanced")

License requirements to set this property: nx_lam_comp_adv ("Laminate Composites Advanced")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.